Loading...
Searching...
No Matches
Magick::DrawableStrokeWidth Class Reference
Inheritance diagram for Magick::DrawableStrokeWidth:

## Public Member Functions

| DrawableStrokeWidth (double width_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | width (double width_)
double | width (void) const

## Private Attributes

double | _width

## Detailed Description

Definition at line 1973 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableStrokeWidth()

Magick::DrawableStrokeWidth::DrawableStrokeWidth | ( | double | width_ | ) |

inline

Definition at line 1976 of file Drawable.h.

: _width(width_)
{ }

## ~DrawableStrokeWidth()

Magick::DrawableStrokeWidth::~DrawableStrokeWidth | ( | void |  | ) |

Definition at line 1426 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableStrokeWidth::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1434 of file Drawable.cpp.

{
return new DrawableStrokeWidth(*this);
}

## operator()()

void Magick::DrawableStrokeWidth::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1429 of file Drawable.cpp.

{
DrawSetStrokeWidth( context_, _width );
}

## width() [1/2]

void Magick::DrawableStrokeWidth::width | ( | double | width_ | ) |

inline

Definition at line 1988 of file Drawable.h.

{
_width = width_;
}

## width() [2/2]

double Magick::DrawableStrokeWidth::width | ( | void |  | ) | const

inline

Definition at line 1992 of file Drawable.h.

{
return _width;
}

## Field Documentation

## _width

double Magick::DrawableStrokeWidth::_width

private

Definition at line 1998 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp